org.apache.ignite.internal.visor.event

## Class VisorGridDiscoveryEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.event.VisorGridEvent
    - - org.apache.ignite.internal.visor.event.VisorGridDiscoveryEvent

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorGridDiscoveryEvent
    extends VisorGridEvent

Lightweight counterpart for `DiscoveryEvent`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorGridDiscoveryEvent()` Default constructor.
`VisorGridDiscoveryEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, @Nullable String msg, String shortDisplay, UUID evtNodeId, String addr, boolean isDaemon, long topVer)` Create event with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAddress()`
`UUID` `getEventNodeId()`
`long` `getTopologyVersion()`
`boolean` `isDaemon()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`getId, getMessage, getName, getNid, getShortDisplay, getTimestamp, getTypeId`

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridDiscoveryEvent

    public VisorGridDiscoveryEvent()

Default constructor.

#### VisorGridDiscoveryEvent

    public VisorGridDiscoveryEvent(int typeId,
                                   IgniteUuid id,
                                   String name,
                                   UUID nid,
                                   long ts,
                                   @Nullable
                                   @Nullable String msg,
                                   String shortDisplay,
                                   UUID evtNodeId,
                                   String addr,
                                   boolean isDaemon,
                                   long topVer)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `evtNodeId` - Event node id.
  `addr` - Event node address.
  `isDaemon` - If event node is daemon on not.
  `topVer` - Topology version.

### Method Detail

#### getEventNodeId

    public UUID getEventNodeId()

Returns:
  Event node ID.

#### getAddress

    public String getAddress()

Returns:
  Node address that caused this event to be generated.

#### isDaemon

    public boolean isDaemon()

Returns:
  If node that caused this event is daemon.

#### getTopologyVersion

    public long getTopologyVersion()

Returns:
  Topology version or `0` if configured discovery SPI implementation does not support versioning.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Overrides:
  `writeExternalData` in class `VisorGridEvent`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Overrides:
  `readExternalData` in class `VisorGridEvent`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022